(* Guestfs Browser.
 * Copyright (C) 2010 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

(** Operations on a file tree.

    This module contains operations performed by menu items or
    from the context menu.

    The types and functions in this file should be considered
    private to the file tree implementation.

    See {!Filetree} for the full description and public interface. *)

(**/**)

val copy_regvalue : Filetree_type.t -> Gtk.tree_path -> unit -> unit

val disk_usage : Filetree_type.t -> Gtk.tree_path -> unit -> unit

val display_inspection_data : Filetree_type.t -> Gtk.tree_path -> unit -> unit

val download_file : Filetree_type.t -> Gtk.tree_path -> unit -> unit

val download_dir_tarball : Filetree_type.t -> Slave.download_dir_tarball_format -> Gtk.tree_path -> unit -> unit

val download_dir_find0 : Filetree_type.t -> Gtk.tree_path -> unit -> unit
